> For the complete documentation index, see [llms.txt](https://docs.reallifeonline.net/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.reallifeonline.net/rlo-carwash/configuration.md).

# Configuration

### Main Configuration

```lua
Config = {
    Debug = false, -- debug mode for more information
    VersionCheck = true, -- should this script check for a new version?

    DrawDistance = 30.0, -- distance marker should be drawn
    InteractDistance = 1.8, -- distance you can access the markers

    OnlyDirtyVehicles = false, -- only dirty vehicles will be cleaned?
    DoubleClean = true, -- should the washing process take x2 longer?
    Price = 100, -- price per car wash
}
```

### Translation Configuration

```lua
Translation = { -- Change the Translation Strings here
    ['carwash_interact'] = 'Press ~INPUT_CONTEXT~ to ~b~wash~s~ your vehicle.',
    ['carwash_not_enough_money'] = '~r~You do not have enough money.',
    ['carwash_done'] = 'Your vehicle is ~g~clean~s~ again.',
}
```

### Points Configuration

```lua
Points = {
    {
        name = 'Car Wash', -- name from the car wash
        coords = vector3(23.2519, -1391.9188, 29.3310), -- coords from the car wash
        propState = true, -- enable or disable washing props

        marker = {
            enable = false, -- enable/disable marker?
            markertype = 1, -- markertype?
            color = {r = 120, g = 255, b = 120} -- rgb color for marker?
        },

        blip = {
            enable = true, -- enable/disable blip?
            sprite = 434,
            colour = 18,
            size = 0.8,
            text = 'Carwash'
        }
    },

    {
        name = 'Car Wash',
        coords = vector3(-699.7906, -934.0635, 19.0139),
        propState = true,

        marker = {
            enable = false,
            markertype = 1,
            color = {r = 120, g = 255, b = 120}
        },

        blip = {
            enable = true,
            sprite = 434,
            colour = 18,
            size = 0.8,
            text = 'Carwash'
        }
    },
}
```

{% hint style="info" %}
You can add as many car washes as you wish.
{% endhint %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.reallifeonline.net/rlo-carwash/configuration.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
